Subject: [Geopriv] My review of draft-ietf-geopriv-dhcp-lbyr-uri-option-05

From: "Hannes Tschofenig" <[email-masked]>
Date: Mon, 20 Jul 2009 10:08:20 +0300

Hi James, 

Thanks for the update. I have compiled my comments into the MS word with
track changes and turned it into a PDF. There are a bunch of editorial
suggestions; maybe they are useful.

Here is the link to the PDF; with the attached PDF the mail bounced.
http://www.tschofenig.priv.at/geopriv/draft-ietf-geopriv-dhcp-lbyr-uri-optio
n-05_hannes.pdf

There is only one major comment: It is good that you describe the security
model you focus on. It seems that you settled with the authorization model
in comparison to the possession model. That's fine with me given the lack of
confidentiality protection in DHCP. 

Now, in order to get it to work in an interoperable fashion you would have
to make Geolocation Policy and XCAP a normative reference (mandatory to
implement). I cannot see it would work otherwise. 

Ciao
Hannes